﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace Contact.Bll
{
    class contact
    {
        #region Properties
        private int? _id;

        public int? Id
        {
            get { return _id; }
            set { _id = value; }
        }
        private string _name;

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }
        private string _family;

        public string Family
        {
            get { return _family; }
            set { _family = value; }
        }
        private string _address;

        public string Address
        {
            get { return _address; }
            set { _address = value; }
        }
        private string _phone_home;

        public string Phone_home
        {
            get { return _phone_home; }
            set { _phone_home = value; }
        }
        private string _mobile;

        public string Mobile
        {
            get { return _mobile; }
            set { _mobile = value; }
        }
        private string _email;

        public string Email
        {
            get { return _email; }
            set { _email = value; }
        }

        private string _date_t;

        public string Date
        {
            get { return _date_t; }
            set { _date_t = value; }
        }
       
        private string _message;

        public string Message
        {
            get { return _message; }
            set { _message = value; }
        }
      
        #endregion
        #region GetAllcontact()
        public static List<contact> GetAllcontact()
        {
            DataTable dt = Contact.DAL.contact.GetAllcontact();
            return _Convert(dt);

        }

        #endregion
        private static List<contact> _Convert(DataTable dt)
        {
            List<contact> lstcontact = new List<contact>();
            foreach (DataRow row in dt.Rows)
            {
                contact obj = new contact();
                obj._id = int.Parse(row["Id"].ToString());
                obj._name = row["Name"].ToString();
                obj._family = row["Family"].ToString();
             
                obj._phone_home = row["Phone_home"].ToString();
                obj._mobile = row["Mobile"].ToString();
                obj._address = row["Address"].ToString();
                obj._email = row["Email"].ToString();
                obj._date_t = row["Date_t"].ToString();
                obj._message = row["Message"].ToString();

                lstcontact.Add(obj);
            }
            return lstcontact;
        }

       
        public string save()
        {
            if (_id == null)
            { return Contact.DAL.contact.Insert_contact(this); }
            else
                return Contact.DAL.contact.update_contact(this);
        }

        public string Delete()
        {
            return Contact.DAL.contact.delete_contact((int)this._id);
        }

        public static List<contact> GetcontactByCondition(string Name)
        {
            DataTable dt = Contact.DAL.contact.GetcontactByCondition(Name);
            return _Convert(dt);

        }
        public static List<contact> sortcontact()
        {
            DataTable dt = Contact.DAL.contact.sortcontact();
            return _Convert(dt);

        }
        public static List<contact> sort1contact()
        {
            DataTable dt = Contact.DAL.contact.sort1contact();
            return _Convert(dt);

        }
       

    }
}

