﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Contact.Bll;
using System.Data;
using System.Data.SqlClient;

namespace Contact.DAL
{
    class grcontact
    {

        #region pg
        static string connection = "Data Source=.;Initial Catalog=Contact;Integrated Security=True";
        //string connection1 = "Data Source=SERVER-PC;Initial Catalog=Person;Persist Security Info=True;User ID=Admin;Password=123456789";

        public static string Insertcontact(Contact.Bll.grcontact objNewname)
        {
            try
            {
                // ساخت شی conn برای اتصال به دیتابیس
                SqlConnection conn = new SqlConnection(connection);

                SqlCommand comand = new SqlCommand("insert_contactgroup");
                comand.CommandType = CommandType.StoredProcedure;

                comand.Parameters.AddWithValue("@Grname", objNewname.Grname);
                comand.Parameters.AddWithValue("@Id", objNewname.Id);
                //تعریف پارامتر OUTPUT

                SqlParameter param2 = comand.Parameters.Add("@outmessage", SqlDbType.NVarChar, 200);
                param2.Direction = ParameterDirection.Output;

                SqlParameter param1 = comand.Parameters.Add("@Rowid", SqlDbType.Int);
                param1.Direction = ParameterDirection.Output;

                comand.Connection = conn;
                conn.Open();
                comand.ExecuteNonQuery();

                conn.Close();
                string msg = comand.Parameters["@outMessage"].Value.ToString();

                if (msg != "OK")
                {
                    return msg;
                }
                else
                {
                    int id = int.Parse(comand.Parameters["@Rowid"].Value.ToString());
                    return id.ToString();
                }
            }
            catch (Exception e)
            {
                return e.Message;
            }
        }

        public static string Deletecontct(Contact.Bll.grcontact obj)
        {
            try
            {
                SqlConnection conn = new SqlConnection(connection);

                SqlCommand comand = new SqlCommand("delete_contactgroup");
                comand.CommandType = CommandType.StoredProcedure;

                comand.Parameters.AddWithValue("@Id", obj.Id);

                //SqlParameter param1 = comand.Parameters.Add("@id", SqlDbType.Int);
                //param1.Direction = ParameterDirection.Output;

                SqlParameter param2 = comand.Parameters.Add("@OutMessage", SqlDbType.NVarChar, 200);
                param2.Direction = ParameterDirection.Output;

                comand.Connection = conn;
                conn.Open();
                comand.ExecuteNonQuery();
                conn.Close();
                string msg = comand.Parameters["@outMessage"].Value.ToString();
                return msg;
            }
            catch (Exception ex)
            {
                return ex.Message;
            }
        }

        public static DataTable GetAllcontactgroup()
        {
            try
            {
                SqlConnection conn = new SqlConnection(connection);

                SqlCommand comand = new SqlCommand("Select_contactgroup");
                comand.CommandType = CommandType.StoredProcedure;

                comand.Connection = conn;
                conn.Open();

                SqlDataAdapter da = new SqlDataAdapter();
                da.SelectCommand = comand;

                DataTable dt = new DataTable();
                da.Fill(dt);

                conn.Close();
                return dt;
            }
            catch (Exception ex)
            {
                throw ex;
            }


        }


        #endregion
    }
}

