﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Contact.Bll;
using System.Data;
using System.Data.SqlClient;
namespace Contact.DAL
{
    class group
    {
        #region gruop
        static string connection = "Data Source=.;Initial Catalog=Contact;Integrated Security=True";


        public static string Insertgroup(Contact.Bll.group objNewname)
        {
            try
            {
                // ساخت شی conn برای اتصال به دیتابیس
                SqlConnection conn = new SqlConnection(connection);

                SqlCommand comand = new SqlCommand("insert_group");
                comand.CommandType = CommandType.StoredProcedure;


                comand.Parameters.AddWithValue("@Grname", objNewname.Grname);

                //تعریف پارامتر OUTPUT
                SqlParameter param2 = comand.Parameters.Add("@outmessage", SqlDbType.NVarChar, 50);
                param2.Direction = ParameterDirection.Output;

                SqlParameter param1 = comand.Parameters.Add("@Grid", SqlDbType.Int);
                param1.Direction = ParameterDirection.Output;

                comand.Connection = conn;
                conn.Open();
                comand.ExecuteNonQuery();

                conn.Close();
                string msg = comand.Parameters["@outMessage"].Value.ToString();
                if (msg != "ok")
                {
                    return msg;
                }
                else
                {
                    int id = int.Parse(comand.Parameters["@Grid"].Value.ToString());
                    return id.ToString();
                }
            }
            catch (Exception e)
            {
                return e.Message;
            }
        }

        public static string Deletegroup(Contact.Bll.group obj)
        {
            try
            {
                SqlConnection conn = new SqlConnection(connection);

                SqlCommand comand = new SqlCommand("delete_group");
                comand.CommandType = CommandType.StoredProcedure;

                comand.Parameters.AddWithValue("@Grname", obj.Grname.ToString());

                SqlParameter param2 = comand.Parameters.Add("@OutMessage", SqlDbType.NVarChar, 200);
                param2.Direction = ParameterDirection.Output;

                comand.Connection = conn;
                conn.Open();
                comand.ExecuteNonQuery();
                conn.Close();
                string msg = comand.Parameters["@outMessage"].Value.ToString();
                return msg;
            }
            catch (Exception ex)
            {
                return ex.Message;
            }
        }
        public static DataTable GetAllgroup()
        {
            try
            {
                SqlConnection conn = new SqlConnection(connection);

                SqlCommand comand = new SqlCommand("select_contact");
                comand.CommandType = CommandType.StoredProcedure;

                comand.Connection = conn;
                conn.Open();

                SqlDataAdapter da = new SqlDataAdapter();
                da.SelectCommand = comand;

                DataTable dt = new DataTable();
                da.Fill(dt);

                conn.Close();
                return dt;
            }
            catch (Exception ex)
            {
                throw ex;
            }


        }




        #endregion


    }
}
