﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Contact.Bll;
namespace Contact
{
    public partial class frmadd : Form
    {
        private List<contact> lst = new List<contact>();


        public frmadd()
        {
            InitializeComponent();
            RefreshDataGridView();
        }
        private void RefreshDataGridView()
        {
            dgw.DataSource = null;
            dgw.DataSource = contact.GetAllcontact();


        }
        #region bttadd
        private void bttsave_Click(object sender, EventArgs e)
        {


            string n = txtname.Text;
            string f = txtfamily.Text;
            string phoneh = txtphone_home.Text;
            string m = txtmobile.Text; 
            string address = txtaddress.Text;
            string email = txtemail.Text;
            string date = datetime.Text;
            string message = txtmessage.Text;
          
            contact newObj = new contact();

            newObj.Name = n;
            newObj.Family = f;
            newObj.Phone_home = phoneh;
            newObj.Mobile = m;
            newObj.Address = address;
            newObj.Email = email;
            newObj.Date = date;
            newObj.Message = message;
            
            if (txtid.Text != String.Empty)
            {
                newObj.Id = Convert.ToInt32(txtid.Text);
            }
            int i;
            string id = newObj.save().ToString();
           
            if (int.TryParse(id, out i) == true)
            {
                txtid.Text = id;
                 MessageBox.Show(".اطلاعات با موفقیت به ثبت رسید", "", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1);
            }
                
            else if (id != "OK")
            {
                MessageBox.Show(id, "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }

        

            RefreshDataGridView();
      
            

        }
        #endregion

        #region bttremove
        private void bttdelet_Click(object sender, EventArgs e)
        {

            DialogResult dr = MessageBox.Show("آیا مطمئنید؟", "تایید", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
            if (dr == DialogResult.Yes)
            {
                DataGridViewRow row = dgw.SelectedRows[0];
                contact objcontact = row.DataBoundItem as contact;
                string msg = objcontact.Delete();
                MessageBox.Show(msg);
                RefreshDataGridView();
            }
        }
        #endregion

        #region bttnew
        private void bttnew_Click(object sender, EventArgs e)
        {

            txtid.Text = null;
            txtname.Text = null;
            txtfamily.Text = null;
            txtphone_home.Text = null;
            txtmobile.Text = null;
            txtemail.Text = null;
            txtaddress.Text = null;
            datetime.Text = null;
            txtmessage.Text = null;

        }
        #endregion
        #region bttexit
        private void bttexit_Click(object sender, EventArgs e)
        {
            if (txtmobile.Text == "" || txtname.Text == "")
            {
                Close();
            }
            else
            {
                DialogResult cl = MessageBox.Show("آیا تغییرات را ذخیره میکنید.", "هشدار", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1);

                if (cl == DialogResult.No)
                {
                    Close();
                }
                else
                    if (cl == DialogResult.Yes)
                    {
                        string n = txtname.Text;
                        string f = txtfamily.Text;
                        string address = txtaddress.Text;
                        string phoneh = txtphone_home.Text;
                        string m = txtmobile.Text;
                        string email = txtemail.Text;
                        string message = txtmessage.Text;
                        string date = datetime.Text;
                        contact newObj = new contact();

                        newObj.Name = n;
                        newObj.Family = f;
                        newObj.Address = address;
                        newObj.Phone_home = phoneh;
                        newObj.Mobile = m;
                        newObj.Email = email;
                        newObj.Message = message;
                        newObj.Date = date;

                        if (txtid.Text != String.Empty)
                        {
                            newObj.Id = Convert.ToInt32(txtid.Text);
                        }
                       
                        string id = newObj.save().ToString();
                        RefreshDataGridView();

                    } 
           
            } 
            
            Close();
        }      
        
        #endregion

        #region dgw_SelectionChanged
        private void dgw_SelectionChanged(object sender, EventArgs e)
        {

            try
            {
                DataGridViewRow dr = dgw.SelectedRows[0];
                contact objcontact = dr.DataBoundItem as contact;

                txtid.Text = objcontact.Id.ToString();
                txtname.Text = objcontact.Name;
                txtfamily.Text = objcontact.Family;
                txtaddress.Text = objcontact.Address;
                txtphone_home.Text = objcontact.Phone_home;
                txtemail.Text = objcontact.Email;
                txtmobile.Text = objcontact.Mobile;
                datetime.Text = objcontact.Date;
                txtmessage.Text = objcontact.Message;

            }

            catch
            {
            } }
        #endregion

        internal Bll.contact objcont { get; set; }

        private void frmadd_Activated(object sender, EventArgs e)
        {
            try
            {
                if (objcont != null)
                {
                    txtaddress.Text = objcont.Address;
                    txtname.Text = objcont.Name;
                    txtid.Text = objcont.Id.ToString();
                    txtfamily.Text = objcont.Family;
                    txtphone_home.Text = objcont.Phone_home;
                    txtemail.Text = objcont.Email;
                    txtmessage.Text = objcont.Message;
                    txtmobile.Text = objcont.Mobile;
                    datetime.Text = objcont.Date;
                }
            }
            catch
            {
            }
        }

        private void frmadd_Load(object sender, EventArgs e)
        {

        }


       
      
    }

    }




