﻿using System;
using System.Data.SqlClient;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Contact.Bll;

namespace Contact
{
    public partial class frmgroup : Form
    {
            public frmgroup()
        {
            InitializeComponent();
            RefreshDataGridView();
 
        }

        private void RefreshDataGridView()
        {
            dgwgroup.DataSource = null;
            dgwgroup.DataSource = contact.GetAllcontact();


        }
       
        private void bttsaveg_Click(object sender, EventArgs e)
        {
             #region group
            
            lbox.Items.Clear();
            string ngroup = txtgroup.Text;
            int id;
            int.TryParse(txtgroup.Text, out id);
            Contact.Bll.group group = new Bll.group();
            group.Grname  = ngroup;

            if (id != 0)
            {
                group.Grid = id;
            }

            string sam = group.Savegroup();
            if (sam == "OK")
            {
               
                cobgroup.Text = txtgroup.Text;
                txtgroup.Text = string.Empty;
                txtgroup.Enabled = false;
                bttsaveg . Enabled = false;
               
            }
            else
            {
                MessageBox.Show(sam, "خطا");
                txtgroup.Focus();
                btnnewgroup.Enabled = true;
            }

            #region refresh
            cobgroup.Items.Clear();
            SqlConnection con = new SqlConnection("Data Source=.;Initial Catalog=Contact;Integrated Security=True");
            SqlCommand cmd = new SqlCommand("Select_group");
            cmd.CommandType = CommandType.StoredProcedure;
            cmd.Connection = con;
            SqlDataReader dr;
            con.Open();
            dr = cmd.ExecuteReader();
            while (dr.Read())
            {
                cobgroup.Items.Add(dr["نام گروه"].ToString());
            }
            #endregion
           
            
            #endregion
        }

        private void frmgroup_Load(object sender, EventArgs e)
        {
            
        }

        private void btnnewgroup_Click(object sender, EventArgs e)
        {
            txtgroup.Enabled = true;
            txtgroup.Text = string.Empty;
            lbox.Items.Clear();
            cobgroup.Text = null;
            txtgroup.Focus();
            bttsaveg.Enabled = true;
            btnnewgroup.Enabled = false;
        }

        private void dgwgroup_DoubleClick(object sender, EventArgs e)
        {
            lbox.Items.Add(this.dgwgroup.CurrentRow.Cells["family"].Value.ToString());
        }

        private void bttdelg_Click(object sender, EventArgs e)
        {
                 DialogResult dr = MessageBox.Show("آیا مطمئن هستید؟", "تاییدیه", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
            if (dr == DialogResult.Yes)
            {
                Contact.Bll.group obj = new Bll.group();
                obj.Grname = cobgroup.Text;
                
                string str = obj.Delete();
                if (str == "OK")
                {
                    MessageBox.Show("اطلاعات شخص مورد نظر حذف گردید");
                    cobgroup.Text = null;
                    RefreshDataGridView();
                    #region refresh
                    cobgroup.Items.Clear();
                    SqlConnection con = new SqlConnection("Data Source=.;Initial Catalog=Contact;Integrated Security=True");
                    SqlCommand cmd = new SqlCommand("Select_group");
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.Connection = con;
                    SqlDataReader drr;
                    con.Open();
                    drr = cmd.ExecuteReader();
                    while (drr.Read())
                    {
                        cobgroup.Items.Add(drr["نام گروه"].ToString());
                    }
                    #endregion
                }
                else
                    MessageBox.Show(str);
            }
       
        
        }

        private void frmgroup_Activated(object sender, EventArgs e)
        {
            bttsaveg.Enabled = false;
            txtgroup.Enabled = false;
           
            #region refresh
            cobgroup.Items.Clear();
            SqlConnection con = new SqlConnection("Data Source=.;Initial Catalog=Contact;Integrated Security=True");
            SqlCommand cmd = new SqlCommand("Select_group");
            cmd.CommandType = CommandType.StoredProcedure;
            cmd.Connection = con;
            SqlDataReader dr;
            con.Open();
            dr = cmd.ExecuteReader();
            while (dr.Read())
            {
                cobgroup.Items.Add(dr["نام گروه"].ToString());
            }
            #endregion
        }

        private void bttsavec_Click(object sender, EventArgs e)
        {

            #region persongroup

            int id = int.Parse(dgwgroup.CurrentRow.Cells["id"].Value.ToString());
            string ngroup = cobgroup.Text;
            int id2;
            int.TryParse(txtgroup.Text, out id2);
            Contact.Bll.grcontact  ptg = new Contact.Bll.grcontact ();
            ptg.Id = id.ToString();
            ptg.Grname = ngroup;


            if (id2 != 0)
            {
                ptg.Rowid = id2;
            }

            string code8 = ptg.Save8();
            if (int.TryParse(code8, out id2) == true)
            {
                //  txtgroup.Text = code8;
                MessageBox.Show("مخاطبین در گروه ثبت شدند");

            }
            else if (code8 != "OK")
            {
                MessageBox.Show(code8, "خطا");
            }

            #endregion

        }

        private void cobgroup_SelectedIndexChanged(object sender, EventArgs e)
        {
            SqlConnection con = new SqlConnection("Data Source=.;Initial Catalog=Contact;Integrated Security=True");
            if (cobgroup.Text != null)
            {
                
                SqlCommand cmd = new SqlCommand();
                cmd.CommandText = "Select_contactgroup";
                cmd.Parameters.AddWithValue("@Grname", cobgroup.Text.ToString());
                cmd.CommandType = CommandType.StoredProcedure;
                SqlDataAdapter da = new SqlDataAdapter();
                SqlDataReader dr;
                cmd.Connection = con;
                con.Open();
                dr = cmd.ExecuteReader();
                lbox.Items.Clear();
                while (dr.Read())
                {
                    lbox.Items.Add(dr["family"].ToString());
                }
                con.Close();

            }
        }

        private void bttdelc_Click(object sender, EventArgs e)
        {
            DialogResult dr = MessageBox.Show("آیا مطمئن هستید؟", "تاییدیه", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
            if (dr == DialogResult.Yes)
            {
                Contact.Bll.grcontact obj2 = new Bll.grcontact();

                obj2.Id = lbox.Text;
                string str = obj2.Delete();
                if (str == "OK")
                {
                    MessageBox.Show("اطلاعات شخص مورد نظر حذف گردید");
                    RefreshDataGridView();

                }
                else
                    MessageBox.Show(str);
            }
            lbox.Items.Remove(lbox.SelectedItem);
     
        }
        }



    }
